PACKAGE=swftools
-VERSION=2008-07-11-0020
+VERSION=2008-09-22-1956
# ------------------------------------------------------------------
done
-{ echo "$as_me:$LINENO: checking for signed" >&5
-echo $ECHO_N "checking for signed... $ECHO_C" >&6; }
-if test "${ac_cv_type_signed+set}" = set; then
+{ echo "$as_me:$LINENO: checking for signed char" >&5
+echo $ECHO_N "checking for signed char... $ECHO_C" >&6; }
+if test "${ac_cv_type_signed_char+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
-typedef signed ac__type_new_;
+typedef signed char ac__type_new_;
int
main ()
{
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ac_cv_type_signed=yes
+ ac_cv_type_signed_char=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_signed=no
+ ac_cv_type_signed_char=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
-{ echo "$as_me:$LINENO: result: $ac_cv_type_signed" >&5
-echo "${ECHO_T}$ac_cv_type_signed" >&6; }
+{ echo "$as_me:$LINENO: result: $ac_cv_type_signed_char" >&5
+echo "${ECHO_T}$ac_cv_type_signed_char" >&6; }
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
-{ echo "$as_me:$LINENO: checking size of signed" >&5
-echo $ECHO_N "checking size of signed... $ECHO_C" >&6; }
-if test "${ac_cv_sizeof_signed+set}" = set; then
+{ echo "$as_me:$LINENO: checking size of signed char" >&5
+echo $ECHO_N "checking size of signed char... $ECHO_C" >&6; }
+if test "${ac_cv_sizeof_signed_char+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
if test "$cross_compiling" = yes; then
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef signed ac__type_sizeof_;
+ typedef signed char ac__type_sizeof_;
int
main ()
{
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef signed ac__type_sizeof_;
+ typedef signed char ac__type_sizeof_;
int
main ()
{
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef signed ac__type_sizeof_;
+ typedef signed char ac__type_sizeof_;
int
main ()
{
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef signed ac__type_sizeof_;
+ typedef signed char ac__type_sizeof_;
int
main ()
{
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef signed ac__type_sizeof_;
+ typedef signed char ac__type_sizeof_;
int
main ()
{
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done
case $ac_lo in
-?*) ac_cv_sizeof_signed=$ac_lo;;
-'') if test "$ac_cv_type_signed" = yes; then
- { { echo "$as_me:$LINENO: error: cannot compute sizeof (signed)
+?*) ac_cv_sizeof_signed_char=$ac_lo;;
+'') if test "$ac_cv_type_signed_char" = yes; then
+ { { echo "$as_me:$LINENO: error: cannot compute sizeof (signed char)
See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (signed)
+echo "$as_me: error: cannot compute sizeof (signed char)
See \`config.log' for more details." >&2;}
{ (exit 77); exit 77; }; }
else
- ac_cv_sizeof_signed=0
+ ac_cv_sizeof_signed_char=0
fi ;;
esac
else
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef signed ac__type_sizeof_;
+ typedef signed char ac__type_sizeof_;
static long int longval () { return (long int) (sizeof (ac__type_sizeof_)); }
static unsigned long int ulongval () { return (long int) (sizeof (ac__type_sizeof_)); }
#include <stdio.h>
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_sizeof_signed=`cat conftest.val`
+ ac_cv_sizeof_signed_char=`cat conftest.val`
else
echo "$as_me: program exited with status $ac_status" >&5
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
( exit $ac_status )
-if test "$ac_cv_type_signed" = yes; then
- { { echo "$as_me:$LINENO: error: cannot compute sizeof (signed)
+if test "$ac_cv_type_signed_char" = yes; then
+ { { echo "$as_me:$LINENO: error: cannot compute sizeof (signed char)
See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (signed)
+echo "$as_me: error: cannot compute sizeof (signed char)
See \`config.log' for more details." >&2;}
{ (exit 77); exit 77; }; }
else
- ac_cv_sizeof_signed=0
+ ac_cv_sizeof_signed_char=0
fi
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
rm -f conftest.val
fi
-{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_signed" >&5
-echo "${ECHO_T}$ac_cv_sizeof_signed" >&6; }
+{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_signed_char" >&5
+echo "${ECHO_T}$ac_cv_sizeof_signed_char" >&6; }
cat >>confdefs.h <<_ACEOF
-#define SIZEOF_SIGNED $ac_cv_sizeof_signed
+#define SIZEOF_SIGNED_CHAR $ac_cv_sizeof_signed_char
_ACEOF
-{ echo "$as_me:$LINENO: checking for unsigned" >&5
-echo $ECHO_N "checking for unsigned... $ECHO_C" >&6; }
-if test "${ac_cv_type_unsigned+set}" = set; then
+{ echo "$as_me:$LINENO: checking for signed short" >&5
+echo $ECHO_N "checking for signed short... $ECHO_C" >&6; }
+if test "${ac_cv_type_signed_short+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
-typedef unsigned ac__type_new_;
+typedef signed short ac__type_new_;
int
main ()
{
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ac_cv_type_unsigned=yes
+ ac_cv_type_signed_short=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_unsigned=no
+ ac_cv_type_signed_short=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
-{ echo "$as_me:$LINENO: result: $ac_cv_type_unsigned" >&5
-echo "${ECHO_T}$ac_cv_type_unsigned" >&6; }
+{ echo "$as_me:$LINENO: result: $ac_cv_type_signed_short" >&5
+echo "${ECHO_T}$ac_cv_type_signed_short" >&6; }
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
-{ echo "$as_me:$LINENO: checking size of unsigned" >&5
-echo $ECHO_N "checking size of unsigned... $ECHO_C" >&6; }
-if test "${ac_cv_sizeof_unsigned+set}" = set; then
+{ echo "$as_me:$LINENO: checking size of signed short" >&5
+echo $ECHO_N "checking size of signed short... $ECHO_C" >&6; }
+if test "${ac_cv_sizeof_signed_short+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
if test "$cross_compiling" = yes; then
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned ac__type_sizeof_;
+ typedef signed short ac__type_sizeof_;
int
main ()
{
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned ac__type_sizeof_;
+ typedef signed short ac__type_sizeof_;
int
main ()
{
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned ac__type_sizeof_;
+ typedef signed short ac__type_sizeof_;
int
main ()
{
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned ac__type_sizeof_;
+ typedef signed short ac__type_sizeof_;
int
main ()
{
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned ac__type_sizeof_;
+ typedef signed short ac__type_sizeof_;
int
main ()
{
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done
case $ac_lo in
-?*) ac_cv_sizeof_unsigned=$ac_lo;;
-'') if test "$ac_cv_type_unsigned" = yes; then
- { { echo "$as_me:$LINENO: error: cannot compute sizeof (unsigned)
+?*) ac_cv_sizeof_signed_short=$ac_lo;;
+'') if test "$ac_cv_type_signed_short" = yes; then
+ { { echo "$as_me:$LINENO: error: cannot compute sizeof (signed short)
See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (unsigned)
+echo "$as_me: error: cannot compute sizeof (signed short)
See \`config.log' for more details." >&2;}
{ (exit 77); exit 77; }; }
else
- ac_cv_sizeof_unsigned=0
+ ac_cv_sizeof_signed_short=0
fi ;;
esac
else
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned ac__type_sizeof_;
+ typedef signed short ac__type_sizeof_;
static long int longval () { return (long int) (sizeof (ac__type_sizeof_)); }
static unsigned long int ulongval () { return (long int) (sizeof (ac__type_sizeof_)); }
#include <stdio.h>
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_sizeof_unsigned=`cat conftest.val`
+ ac_cv_sizeof_signed_short=`cat conftest.val`
else
echo "$as_me: program exited with status $ac_status" >&5
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
( exit $ac_status )
-if test "$ac_cv_type_unsigned" = yes; then
- { { echo "$as_me:$LINENO: error: cannot compute sizeof (unsigned)
+if test "$ac_cv_type_signed_short" = yes; then
+ { { echo "$as_me:$LINENO: error: cannot compute sizeof (signed short)
See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (unsigned)
+echo "$as_me: error: cannot compute sizeof (signed short)
See \`config.log' for more details." >&2;}
{ (exit 77); exit 77; }; }
else
- ac_cv_sizeof_unsigned=0
+ ac_cv_sizeof_signed_short=0
fi
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
rm -f conftest.val
fi
-{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_unsigned" >&5
-echo "${ECHO_T}$ac_cv_sizeof_unsigned" >&6; }
+{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_signed_short" >&5
+echo "${ECHO_T}$ac_cv_sizeof_signed_short" >&6; }
cat >>confdefs.h <<_ACEOF
-#define SIZEOF_UNSIGNED $ac_cv_sizeof_unsigned
-_ACEOF
-
-
-{ echo "$as_me:$LINENO: checking for signed long" >&5
-echo $ECHO_N "checking for signed long... $ECHO_C" >&6; }
-if test "${ac_cv_type_signed_long+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
+#define SIZEOF_SIGNED_SHORT $ac_cv_sizeof_signed_short
_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-$ac_includes_default
-typedef signed long ac__type_new_;
-int
-main ()
-{
-if ((ac__type_new_ *) 0)
- return 0;
-if (sizeof (ac__type_new_))
- return 0;
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_compile") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest.$ac_objext; then
- ac_cv_type_signed_long=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_signed_long=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_type_signed_long" >&5
-echo "${ECHO_T}$ac_cv_type_signed_long" >&6; }
-# The cast to long int works around a bug in the HP C Compiler
-# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
-# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
-# This bug is HP SR number 8606223364.
-{ echo "$as_me:$LINENO: checking size of signed long" >&5
-echo $ECHO_N "checking size of signed long... $ECHO_C" >&6; }
-if test "${ac_cv_sizeof_signed_long+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- if test "$cross_compiling" = yes; then
- # Depending upon the size, compute the lo and hi bounds.
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-$ac_includes_default
- typedef signed long ac__type_sizeof_;
-int
-main ()
-{
-static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= 0)];
-test_array [0] = 0
-
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_compile") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest.$ac_objext; then
- ac_lo=0 ac_mid=0
- while :; do
- cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-$ac_includes_default
- typedef signed long ac__type_sizeof_;
-int
-main ()
-{
-static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
-test_array [0] = 0
-
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_compile") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest.$ac_objext; then
- ac_hi=$ac_mid; break
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_lo=`expr $ac_mid + 1`
- if test $ac_lo -le $ac_mid; then
- ac_lo= ac_hi=
- break
- fi
- ac_mid=`expr 2 '*' $ac_mid + 1`
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
- done
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-$ac_includes_default
- typedef signed long ac__type_sizeof_;
-int
-main ()
-{
-static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) < 0)];
-test_array [0] = 0
-
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_compile") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest.$ac_objext; then
- ac_hi=-1 ac_mid=-1
- while :; do
- cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-$ac_includes_default
- typedef signed long ac__type_sizeof_;
-int
-main ()
-{
-static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= $ac_mid)];
-test_array [0] = 0
-
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_compile") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest.$ac_objext; then
- ac_lo=$ac_mid; break
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_hi=`expr '(' $ac_mid ')' - 1`
- if test $ac_mid -le $ac_hi; then
- ac_lo= ac_hi=
- break
- fi
- ac_mid=`expr 2 '*' $ac_mid`
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
- done
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_lo= ac_hi=
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-# Binary search between lo and hi bounds.
-while test "x$ac_lo" != "x$ac_hi"; do
- ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
- cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-$ac_includes_default
- typedef signed long ac__type_sizeof_;
-int
-main ()
-{
-static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
-test_array [0] = 0
-
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_compile") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest.$ac_objext; then
- ac_hi=$ac_mid
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_lo=`expr '(' $ac_mid ')' + 1`
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-done
-case $ac_lo in
-?*) ac_cv_sizeof_signed_long=$ac_lo;;
-'') if test "$ac_cv_type_signed_long" = yes; then
- { { echo "$as_me:$LINENO: error: cannot compute sizeof (signed long)
-See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (signed long)
-See \`config.log' for more details." >&2;}
- { (exit 77); exit 77; }; }
- else
- ac_cv_sizeof_signed_long=0
- fi ;;
-esac
-else
- cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-$ac_includes_default
- typedef signed long ac__type_sizeof_;
-static long int longval () { return (long int) (sizeof (ac__type_sizeof_)); }
-static unsigned long int ulongval () { return (long int) (sizeof (ac__type_sizeof_)); }
-#include <stdio.h>
-#include <stdlib.h>
-int
-main ()
-{
-
- FILE *f = fopen ("conftest.val", "w");
- if (! f)
- return 1;
- if (((long int) (sizeof (ac__type_sizeof_))) < 0)
- {
- long int i = longval ();
- if (i != ((long int) (sizeof (ac__type_sizeof_))))
- return 1;
- fprintf (f, "%ld\n", i);
- }
- else
- {
- unsigned long int i = ulongval ();
- if (i != ((long int) (sizeof (ac__type_sizeof_))))
- return 1;
- fprintf (f, "%lu\n", i);
- }
- return ferror (f) || fclose (f) != 0;
-
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_link") 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_try") 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_sizeof_signed_long=`cat conftest.val`
-else
- echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-( exit $ac_status )
-if test "$ac_cv_type_signed_long" = yes; then
- { { echo "$as_me:$LINENO: error: cannot compute sizeof (signed long)
-See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (signed long)
-See \`config.log' for more details." >&2;}
- { (exit 77); exit 77; }; }
- else
- ac_cv_sizeof_signed_long=0
- fi
-fi
-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-rm -f conftest.val
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_signed_long" >&5
-echo "${ECHO_T}$ac_cv_sizeof_signed_long" >&6; }
-
-
-
-cat >>confdefs.h <<_ACEOF
-#define SIZEOF_SIGNED_LONG $ac_cv_sizeof_signed_long
-_ACEOF
-
-
-{ echo "$as_me:$LINENO: checking for unsigned long" >&5
-echo $ECHO_N "checking for unsigned long... $ECHO_C" >&6; }
-if test "${ac_cv_type_unsigned_long+set}" = set; then
+{ echo "$as_me:$LINENO: checking for signed" >&5
+echo $ECHO_N "checking for signed... $ECHO_C" >&6; }
+if test "${ac_cv_type_signed+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
-typedef unsigned long ac__type_new_;
+typedef signed ac__type_new_;
int
main ()
{
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ac_cv_type_unsigned_long=yes
+ ac_cv_type_signed=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_unsigned_long=no
+ ac_cv_type_signed=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
-{ echo "$as_me:$LINENO: result: $ac_cv_type_unsigned_long" >&5
-echo "${ECHO_T}$ac_cv_type_unsigned_long" >&6; }
+{ echo "$as_me:$LINENO: result: $ac_cv_type_signed" >&5
+echo "${ECHO_T}$ac_cv_type_signed" >&6; }
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
-{ echo "$as_me:$LINENO: checking size of unsigned long" >&5
-echo $ECHO_N "checking size of unsigned long... $ECHO_C" >&6; }
-if test "${ac_cv_sizeof_unsigned_long+set}" = set; then
+{ echo "$as_me:$LINENO: checking size of signed" >&5
+echo $ECHO_N "checking size of signed... $ECHO_C" >&6; }
+if test "${ac_cv_sizeof_signed+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
if test "$cross_compiling" = yes; then
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned long ac__type_sizeof_;
+ typedef signed ac__type_sizeof_;
int
main ()
{
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned long ac__type_sizeof_;
+ typedef signed ac__type_sizeof_;
int
main ()
{
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned long ac__type_sizeof_;
+ typedef signed ac__type_sizeof_;
int
main ()
{
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned long ac__type_sizeof_;
+ typedef signed ac__type_sizeof_;
int
main ()
{
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned long ac__type_sizeof_;
+ typedef signed ac__type_sizeof_;
int
main ()
{
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done
case $ac_lo in
-?*) ac_cv_sizeof_unsigned_long=$ac_lo;;
-'') if test "$ac_cv_type_unsigned_long" = yes; then
- { { echo "$as_me:$LINENO: error: cannot compute sizeof (unsigned long)
+?*) ac_cv_sizeof_signed=$ac_lo;;
+'') if test "$ac_cv_type_signed" = yes; then
+ { { echo "$as_me:$LINENO: error: cannot compute sizeof (signed)
See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (unsigned long)
+echo "$as_me: error: cannot compute sizeof (signed)
See \`config.log' for more details." >&2;}
{ (exit 77); exit 77; }; }
else
- ac_cv_sizeof_unsigned_long=0
+ ac_cv_sizeof_signed=0
fi ;;
esac
else
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned long ac__type_sizeof_;
+ typedef signed ac__type_sizeof_;
static long int longval () { return (long int) (sizeof (ac__type_sizeof_)); }
static unsigned long int ulongval () { return (long int) (sizeof (ac__type_sizeof_)); }
#include <stdio.h>
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_sizeof_unsigned_long=`cat conftest.val`
+ ac_cv_sizeof_signed=`cat conftest.val`
else
echo "$as_me: program exited with status $ac_status" >&5
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
( exit $ac_status )
-if test "$ac_cv_type_unsigned_long" = yes; then
- { { echo "$as_me:$LINENO: error: cannot compute sizeof (unsigned long)
+if test "$ac_cv_type_signed" = yes; then
+ { { echo "$as_me:$LINENO: error: cannot compute sizeof (signed)
See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (unsigned long)
+echo "$as_me: error: cannot compute sizeof (signed)
See \`config.log' for more details." >&2;}
{ (exit 77); exit 77; }; }
else
- ac_cv_sizeof_unsigned_long=0
+ ac_cv_sizeof_signed=0
fi
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
rm -f conftest.val
fi
-{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_unsigned_long" >&5
-echo "${ECHO_T}$ac_cv_sizeof_unsigned_long" >&6; }
+{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_signed" >&5
+echo "${ECHO_T}$ac_cv_sizeof_signed" >&6; }
cat >>confdefs.h <<_ACEOF
-#define SIZEOF_UNSIGNED_LONG $ac_cv_sizeof_unsigned_long
+#define SIZEOF_SIGNED $ac_cv_sizeof_signed
_ACEOF
_ACEOF
-{ echo "$as_me:$LINENO: checking for unsigned long long" >&5
-echo $ECHO_N "checking for unsigned long long... $ECHO_C" >&6; }
-if test "${ac_cv_type_unsigned_long_long+set}" = set; then
+{ echo "$as_me:$LINENO: checking for void*" >&5
+echo $ECHO_N "checking for void*... $ECHO_C" >&6; }
+if test "${ac_cv_type_voidp+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
-typedef unsigned long long ac__type_new_;
+typedef void* ac__type_new_;
int
main ()
{
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ac_cv_type_unsigned_long_long=yes
+ ac_cv_type_voidp=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_unsigned_long_long=no
+ ac_cv_type_voidp=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
-{ echo "$as_me:$LINENO: result: $ac_cv_type_unsigned_long_long" >&5
-echo "${ECHO_T}$ac_cv_type_unsigned_long_long" >&6; }
+{ echo "$as_me:$LINENO: result: $ac_cv_type_voidp" >&5
+echo "${ECHO_T}$ac_cv_type_voidp" >&6; }
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
-{ echo "$as_me:$LINENO: checking size of unsigned long long" >&5
-echo $ECHO_N "checking size of unsigned long long... $ECHO_C" >&6; }
-if test "${ac_cv_sizeof_unsigned_long_long+set}" = set; then
+{ echo "$as_me:$LINENO: checking size of void*" >&5
+echo $ECHO_N "checking size of void*... $ECHO_C" >&6; }
+if test "${ac_cv_sizeof_voidp+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
if test "$cross_compiling" = yes; then
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned long long ac__type_sizeof_;
+ typedef void* ac__type_sizeof_;
int
main ()
{
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned long long ac__type_sizeof_;
+ typedef void* ac__type_sizeof_;
int
main ()
{
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned long long ac__type_sizeof_;
+ typedef void* ac__type_sizeof_;
int
main ()
{
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned long long ac__type_sizeof_;
+ typedef void* ac__type_sizeof_;
int
main ()
{
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned long long ac__type_sizeof_;
+ typedef void* ac__type_sizeof_;
int
main ()
{
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done
case $ac_lo in
-?*) ac_cv_sizeof_unsigned_long_long=$ac_lo;;
-'') if test "$ac_cv_type_unsigned_long_long" = yes; then
- { { echo "$as_me:$LINENO: error: cannot compute sizeof (unsigned long long)
+?*) ac_cv_sizeof_voidp=$ac_lo;;
+'') if test "$ac_cv_type_voidp" = yes; then
+ { { echo "$as_me:$LINENO: error: cannot compute sizeof (void*)
See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (unsigned long long)
+echo "$as_me: error: cannot compute sizeof (void*)
See \`config.log' for more details." >&2;}
{ (exit 77); exit 77; }; }
else
- ac_cv_sizeof_unsigned_long_long=0
+ ac_cv_sizeof_voidp=0
fi ;;
esac
else
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
- typedef unsigned long long ac__type_sizeof_;
+ typedef void* ac__type_sizeof_;
static long int longval () { return (long int) (sizeof (ac__type_sizeof_)); }
static unsigned long int ulongval () { return (long int) (sizeof (ac__type_sizeof_)); }
#include <stdio.h>
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_sizeof_unsigned_long_long=`cat conftest.val`
+ ac_cv_sizeof_voidp=`cat conftest.val`
else
echo "$as_me: program exited with status $ac_status" >&5
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
( exit $ac_status )
-if test "$ac_cv_type_unsigned_long_long" = yes; then
- { { echo "$as_me:$LINENO: error: cannot compute sizeof (unsigned long long)
+if test "$ac_cv_type_voidp" = yes; then
+ { { echo "$as_me:$LINENO: error: cannot compute sizeof (void*)
See \`config.log' for more details." >&5
-echo "$as_me: error: cannot compute sizeof (unsigned long long)
+echo "$as_me: error: cannot compute sizeof (void*)
See \`config.log' for more details." >&2;}
{ (exit 77); exit 77; }; }
else
- ac_cv_sizeof_unsigned_long_long=0
+ ac_cv_sizeof_voidp=0
fi
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
rm -f conftest.val
fi
-{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_unsigned_long_long" >&5
-echo "${ECHO_T}$ac_cv_sizeof_unsigned_long_long" >&6; }
+{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_voidp" >&5
+echo "${ECHO_T}$ac_cv_sizeof_voidp" >&6; }
cat >>confdefs.h <<_ACEOF
-#define SIZEOF_UNSIGNED_LONG_LONG $ac_cv_sizeof_unsigned_long_long
+#define SIZEOF_VOIDP $ac_cv_sizeof_voidp
_ACEOF
if test "x${DISABLEPDF2SWF}" = "xtrue"; then
echo "* Disabling pdf2swf tool..."
rm -f lib/pdf/Makefile
- echo all install uninstall clean: > lib/pdf/Makefile
+ echo all install uninstall clean libpdf: > lib/pdf/Makefile
pdf2swf_makefile=""
PDF2SWF=
LIBPDF=
-#ifdef HAVE_POPPLER
-#define GString GooString
-#define GHash GooHash
-#endif
-
if test -f "release.in"; then release_in="./release"; fi
FILES="$release_in Makefile.common ${avi2swf} Makefile lib/Makefile lib/action/Makefile src/Makefile ${pdf2swf_makefile} swfs/Makefile pdf2swf/fonts/Makefile ${pythonrfxswf} ${lame_makefile} lib/art/Makefile lib/readers/Makefile"